-- lx format
local format = require("core.format")

format.register({
	name = "M3U Playlist",
	shortname = "M3U",
	author = "liqube",

	extensions = { "m3u", "m3u8" },

	patterns = {
		-- Extended M3U header
		{ pattern = "#EXTM3U.-\n", type = "meta", line_start = true },

		-- Comment line
		{ pattern = "#.-\n", type = "comment", line_start = true },
	},
})
